function this = TestConnectMetsNameTextInput(this)
    % in this test different aspects of connecting multiple metabolite
    % parameters are checked.
    
    this.testobj.ConnectMets({'name'}, {'pc1', 't1'});
    target_mx = logical([1 0 0 0 0 0 0 0 0 0; ...
                         0 1 0 0 0 0 0 0 1 0; ...
                         0 0 1 0 0 0 0 0 0 0; ...
                         0 0 0 1 0 0 0 0 0 0; ...
                         0 0 0 0 1 0 0 0 0 0; ...
                         0 0 0 0 0 1 0 0 0 0; ...
                         0 0 0 0 0 0 1 0 0 0; ...
                         0 0 0 0 0 0 0 1 0 0; ...
                         0 1 0 0 0 0 0 0 1 0; ...
                         0 0 0 0 0 0 0 0 0 1]);
    mobj = ?Parameters;
    for par_cnt=1:length(mobj.Properties)
        current_par = mobj.Properties{par_cnt}.Name;
        if ismember(current_par, {'pc1', 't1'})
            assertEqual(this.testobj.met_connections.(current_par), target_mx);
        else
            assertEqual(this.testobj.met_connections.(current_par), logical(eye(10)));
        end
    end
end
