function this = TestConnectMetsDoubleInputAllTypes(this)
    % in this test different aspects of connecting multiple metabolite
    % parameters are checked.
    
    this.testobj.ConnectMets([3 4], {'all'});
    target_mx = logical([1 0 0 0 0 0 0 0 0 0; ...
                         0 1 0 0 0 0 0 0 0 0; ...
                         0 0 1 1 0 0 0 0 0 0; ...
                         0 0 1 1 0 0 0 0 0 0; ...
                         0 0 0 0 1 0 0 0 0 0; ...
                         0 0 0 0 0 1 0 0 0 0; ...
                         0 0 0 0 0 0 1 0 0 0; ...
                         0 0 0 0 0 0 0 1 0 0; ...
                         0 0 0 0 0 0 0 0 1 0; ...
                         0 0 0 0 0 0 0 0 0 1]);
     mobj = ?Parameters;
     for par_cnt=1:length(mobj.Properties)
         current_par = mobj.Properties{par_cnt}.Name;
         assertEqual(this.testobj.met_connections.(current_par), target_mx);
     end
end