function this = TestConnectMetsLogicalInput(this)
    % in this test different aspects of connecting multiple metabolite
    % parameters are checked.
    
    this.testobj.ConnectMets(logical([0 0 1 1 0 0 0 0 0 0]), {'conc'});
    target_mx = logical([1 0 0 0 0 0 0 0 0 0; ...
                         0 1 0 0 0 0 0 0 0 0; ...
                         0 0 1 1 0 0 0 0 0 0; ...
                         0 0 1 1 0 0 0 0 0 0; ...
                         0 0 0 0 1 0 0 0 0 0; ...
                         0 0 0 0 0 1 0 0 0 0; ...
                         0 0 0 0 0 0 1 0 0 0; ...
                         0 0 0 0 0 0 0 1 0 0; ...
                         0 0 0 0 0 0 0 0 1 0; ...
                         0 0 0 0 0 0 0 0 0 1]);
     mobj = ?Parameters;
     for par_cnt=1:length(mobj.Properties)
         current_par = mobj.Properties{par_cnt}.Name;
         if strcmp(current_par, 'conc')
             assertEqual(this.testobj.met_connections.(current_par), target_mx);
         else
             assertEqual(this.testobj.met_connections.(current_par), logical(eye(10)));
         end
     end
end
